const system = require("../../system");
const Dao = require("../dao.base");
class TrademarktransactionDao extends Dao {
  constructor() {
    super(Dao.getModelName(TrademarktransactionDao));
  }
  extraModelFilter() {
    return {
      "key": "include", "value": [
        {
          model: this.db.models.user, as: "createuser",
          attributes: ["id", "nickName"]
        }
      ]
    };
  }
}
module.exports = TrademarktransactionDao;
